package com.kingdee.eas.custom.integration.feishu;

import java.io.Serializable;
import com.kingdee.bos.dao.AbstractObjectValue;
import java.util.Locale;
import com.kingdee.util.TypeConversionUtils;
import com.kingdee.bos.util.BOSObjectType;


public class AbstractFeishuApprovalsInfo extends com.kingdee.shr.base.syssetting.SHRBaseItemInfo implements Serializable 
{
    public AbstractFeishuApprovalsInfo()
    {
        this("id");
    }
    protected AbstractFeishuApprovalsInfo(String pkField)
    {
        super(pkField);
        put("views", new FeishuApprovalsViewCollection());
        put("managers", new FeishuApprovalsManagerCollection());
    }
    /**
     * Object:飞书审批定义's 审批编码property 
     */
    public String getApprovalCode()
    {
        return getString("approvalCode");
    }
    public void setApprovalCode(String item)
    {
        setString("approvalCode", item);
    }
    /**
     * Object: 飞书审批定义 's 审批名称 property 
     */
    public FeishuI18nResourcesInfo getApprovalName()
    {
        return (FeishuI18nResourcesInfo)get("approvalName");
    }
    public void setApprovalName(FeishuI18nResourcesInfo item)
    {
        put("approvalName", item);
    }
    /**
     * Object: 飞书审批定义 's 分组 property 
     */
    public FeishuApprovalGroupInfo getGroup()
    {
        return (FeishuApprovalGroupInfo)get("group");
    }
    public void setGroup(FeishuApprovalGroupInfo item)
    {
        put("group", item);
    }
    /**
     * Object:飞书审批定义's PC端发起三方审批的链接property 
     */
    public String getCreateLinkPc()
    {
        return getString("createLinkPc");
    }
    public void setCreateLinkPc(String item)
    {
        setString("createLinkPc", item);
    }
    /**
     * Object:飞书审批定义's 移动端发起三方审批的链接property 
     */
    public String getCreateLinkMobile()
    {
        return getString("createLinkMobile");
    }
    public void setCreateLinkMobile(String item)
    {
        setString("createLinkMobile", item);
    }
    /**
     * Object:飞书审批定义's 支持桌面端展示property 
     */
    public boolean isSupportPc()
    {
        return getBoolean("supportPc");
    }
    public void setSupportPc(boolean item)
    {
        setBoolean("supportPc", item);
    }
    /**
     * Object:飞书审批定义's 支持移动端展示property 
     */
    public boolean isSupportMobile()
    {
        return getBoolean("supportMobile");
    }
    public void setSupportMobile(boolean item)
    {
        setBoolean("supportMobile", item);
    }
    /**
     * Object:飞书审批定义's 三方系统的操作回调 URLproperty 
     */
    public String getCallbackUrl()
    {
        return getString("callbackUrl");
    }
    public void setCallbackUrl(String item)
    {
        setString("callbackUrl", item);
    }
    /**
     * Object:飞书审批定义's 回调时带的 tokenproperty 
     */
    public String getCallbackToken()
    {
        return getString("callbackToken");
    }
    public void setCallbackToken(String item)
    {
        setString("callbackToken", item);
    }
    /**
     * Object:飞书审批定义's 请求参数加密密钥property 
     */
    public String getCallbackKey()
    {
        return getString("callbackKey");
    }
    public void setCallbackKey(String item)
    {
        setString("callbackKey", item);
    }
    /**
     * Object: 飞书审批定义 's 数据来源系统 property 
     */
    public FeishuI18nResourcesInfo getBizName()
    {
        return (FeishuI18nResourcesInfo)get("bizName");
    }
    public void setBizName(FeishuI18nResourcesInfo item)
    {
        put("bizName", item);
    }
    /**
     * Object:飞书审批定义's 审批定义业务类别property 
     */
    public String getBizType()
    {
        return getString("bizType");
    }
    public void setBizType(String item)
    {
        setString("bizType", item);
    }
    /**
     * Object:飞书审批定义's 是否支持批量已读property 
     */
    public boolean isSupportBatchRead()
    {
        return getBoolean("supportBatchRead");
    }
    public void setSupportBatchRead(boolean item)
    {
        setBoolean("supportBatchRead", item);
    }
    /**
     * Object:飞书审批定义's 是否支持标注可读property 
     */
    public boolean isEnableMarkReaded()
    {
        return getBoolean("enableMarkReaded");
    }
    public void setEnableMarkReaded(boolean item)
    {
        setBoolean("enableMarkReaded", item);
    }
    /**
     * Object:飞书审批定义's 是否支持快速操作property 
     */
    public boolean isEnableQuickOperate()
    {
        return getBoolean("enableQuickOperate");
    }
    public void setEnableQuickOperate(boolean item)
    {
        setBoolean("enableQuickOperate", item);
    }
    /**
     * Object:飞书审批定义's 是否支持批量审批property 
     */
    public boolean isAllowBatchOperate()
    {
        return getBoolean("allowBatchOperate");
    }
    public void setAllowBatchOperate(boolean item)
    {
        setBoolean("allowBatchOperate", item);
    }
    /**
     * Object:飞书审批定义's 审批流程数据是否不纳入效率统计property 
     */
    public boolean isExcludeEfficStat()
    {
        return getBoolean("excludeEfficStat");
    }
    public void setExcludeEfficStat(boolean item)
    {
        setBoolean("excludeEfficStat", item);
    }
    /**
     * Object: 飞书审批定义 's 审批可见人列表 property 
     */
    public FeishuApprovalsViewCollection getViews()
    {
        return (FeishuApprovalsViewCollection)get("views");
    }
    /**
     * Object: 飞书审批定义 's 审批流程管理员 property 
     */
    public FeishuApprovalsManagerCollection getManagers()
    {
        return (FeishuApprovalsManagerCollection)get("managers");
    }
    /**
     * Object:飞书审批定义's 同步状态property 
     */
    public com.kingdee.eas.custom.integration.feishu.bizEnum.SyncStatusEnum getSyncStatus()
    {
        return com.kingdee.eas.custom.integration.feishu.bizEnum.SyncStatusEnum.getEnum(getString("syncStatus"));
    }
    public void setSyncStatus(com.kingdee.eas.custom.integration.feishu.bizEnum.SyncStatusEnum item)
    {
		if (item != null) {
        setString("syncStatus", item.getValue());
		}
    }
    /**
     * Object:飞书审批定义's 同步结果property 
     */
    public String getSyncResult()
    {
        return getString("syncResult");
    }
    public void setSyncResult(String item)
    {
        setString("syncResult", item);
    }
    /**
     * Object:飞书审批定义's 单据模型property 
     */
    public String getModel()
    {
        return getString("model");
    }
    public void setModel(String item)
    {
        setString("model", item);
    }
    public BOSObjectType getBOSType()
    {
        return new BOSObjectType("EF01A9A7");
    }
}